Project

General

Profile

Actions

バグ #1592

closed

oauth gem は必要?

Added by Izumi Tsutsui 9 months ago. Updated 2 months ago.

Status:
終了
Priority:
通常
Assignee:
Target version:
プラグイン名:
クラッシュする:
No

Description

source:Gemfile@eadafa50#L18

  gem 'oauth','>= 0.5.8'

の記述がありますが、これって 5.x でも必要なんでしょうか。

ubuntu 22.04.3 LTS で Gemfile からこの行を削除して bundle install して起動しても masotdon 接続までは進むようです。
(ubuntuで試すときの雑手順→ https://social.mikutter.hachune.net/@tsutsuii/109485416715838515 )
Twitter時代の残滓であれば #1588 の twitter_api_keys とともに消したいですね。


Files

0001-oauth-1592.patch (950 Bytes) 0001-oauth-1592.patch Izumi Tsutsui, 2024-02-25 01:43
Actions #1

Updated by Izumi Tsutsui 3 months ago

これも消してよさそうなので

Actions #2

Updated by toshi_a 初音 2 months ago

  • Status changed from パッチ適用待ち to レビュー待ち
  • Assignee set to Izumi Tsutsui
  • ブランチ set to topic/1592-delete-oauth-gem
Actions #3

Updated by Izumi Tsutsui 2 months ago

  • Status changed from レビュー待ち to マージ待ち

ubuntu 22.04.4 で試してOKです。
Twitterプラグイン消し忘れてると落ちたりしますが、まあわかりますよね

Actions #4

Updated by toshi_a 初音 2 months ago

  • Status changed from マージ待ち to 終了
Actions

Also available in: Atom PDF